{ pkgs, ... }:
{
  programs.mpv = {
    enable = true;
    package = (pkgs.mpv-unwrapped.wrapper {
      scripts = with pkgs.mpvScripts; [
        thumbfast
        modernz
      ];

      mpv = pkgs.mpv-unwrapped.override {
        waylandSupport = true;
        ffmpeg = pkgs.ffmpeg-full;
      };
    });
    config = {
      osc = "no";
      profile = "high-quality";
      ytdl-format = "bestvideo+bestaudio";
      cache-default = 4000000;
    };
  };
}
